Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jp.sbi.celldesigner.plugin
Class PluginGLogicGate

    java.lang.Object
      jp.sbi.celldesigner.plugin.PluginSBase
          jp.sbi.celldesigner.plugin.PluginGLogicGate

    public class PluginGLogicGate

extends PluginSBase

Field Summary

Fields inherited from class jp.sbi.celldesigner.plugin.PluginSBase
`sbase`

Constructor Summary
`PluginGLogicGate(PluginReaction parent, java.util.Vector vctSpecs)`
`PluginGLogicGate(PluginReaction parent, java.util.Vector vctSpecs, java.lang.String strGateType)`
`PluginGLogicGate(PluginReaction pParent, java.util.Vector vctSpecs, java.lang.String strGateType, java.lang.String sModType)`

Method Summary
`void` | `addModifiers(PluginModifierSpeciesReference pmsr1)`
`void` | `addSpecies(PluginSpecies species)`
`boolean` | `addSpecies(java.lang.String id)`
`void` | `addSpeciesAlias(PluginSpeciesAlias alias)`
`java.awt.Color` | `getColor()`
`jp.sbi.celldesigner.ReactionLink` | `getGateLink()`
`java.lang.String` | `getGLogicGateType()`
`double` | `getLineWidth()`
`java.lang.String` | `getModificationType()`
`java.util.ArrayList` | `getModifiers()`
`PluginReaction` | `getParentReaction()`
`PluginListOf` | `getRefsOfGateInReaction()`
`java.util.Vector` | `getSpeciesAliases()`
`void` | `removeSpecies(PluginSpecies species)`
`boolean` | `removeSpecies(java.lang.String id)`
`void` | `removeSpeciesAlias(int index)`
`void` | `setColor(java.awt.Color gateColor)` Sets the color of this GLogicGate.
`void` | `setGateLink(jp.sbi.celldesigner.ReactionLink link)`
`void` | `setGateSpeciesAliasesAndModificationType()`
`void` | `setGLogicGateType(java.lang.String gLogicGateType)`
`void` | `setLineWidth(double lineWidth)` Sets the line width of this GLogicGate.
`void` | `setModificationType(java.lang.String _modificationType)`
`void` | `setParentReaction(PluginReaction parent)`
`void` | `setPluginGLogicGateEventEnd()` If setPluginGLogicGateEventStart() method has been called, called after last notifySBaseXXX method.
`void` | `setPluginGLogicGateEventStart()` Must be called before first notifySBaseXXX method.
`void` | `setRefsOfGateInReaction(jp.sbi.celldesigner.SBModel sbml, PluginGLogicGate pGate)` Sets the references of the GLogicGate.

Methods inherited from class jp.sbi.celldesigner.plugin.PluginSBase
`addCVTerm, ChangeCVTermToMiriamDefinition, getAnnotation, getAnnotationString, getCVTerm, getNotes, getNotesString, getNumCVTerms, getParentSBase, getRelationFromCVTerm, setAnnotation, setAnnotationString, setCVTerm, setNotes, setNotes, setParentSBase, toSBML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PluginGLogicGate

    public PluginGLogicGate(PluginReaction parent,
                            java.util.Vector vctSpecs)

### PluginGLogicGate

    public PluginGLogicGate(PluginReaction parent,
                            java.util.Vector vctSpecs,
                            java.lang.String strGateType)

### PluginGLogicGate

    public PluginGLogicGate(PluginReaction pParent,
                            java.util.Vector vctSpecs,
                            java.lang.String strGateType,
                            java.lang.String sModType)

Method Detail

### setGLogicGateType

    public void setGLogicGateType(java.lang.String gLogicGateType)

### getGLogicGateType

    public java.lang.String getGLogicGateType()

### getColor

    public java.awt.Color getColor()

  Returns:
    the color of this GLogicGate.

### setColor

    public void setColor(java.awt.Color gateColor)

  Sets the color of this GLogicGate.

  Parameters:
    `gateColor` - the color of logic gate

### getLineWidth

    public double getLineWidth()

  Returns:
    the line width of this GLogicGate.

### setLineWidth

    public void setLineWidth(double lineWidth)

  Sets the line width of this GLogicGate.

  Parameters:
    `lineWidth` -

### getParentReaction

    public PluginReaction getParentReaction()

### setParentReaction

    public void setParentReaction(PluginReaction parent)

### setGateLink

    public void setGateLink(jp.sbi.celldesigner.ReactionLink link)

### setGateSpeciesAliasesAndModificationType

    public void setGateSpeciesAliasesAndModificationType()

### setRefsOfGateInReaction

    public void setRefsOfGateInReaction(jp.sbi.celldesigner.SBModel sbml,
                                        PluginGLogicGate pGate)

  Sets the references of the GLogicGate. Only can be called after reaction created.

### getRefsOfGateInReaction

    public PluginListOf getRefsOfGateInReaction()

### getGateLink

    public jp.sbi.celldesigner.ReactionLink getGateLink()

### addSpecies

    public void addSpecies(PluginSpecies species)

### addSpeciesAlias

    public void addSpeciesAlias(PluginSpeciesAlias alias)

### addSpecies

    public boolean addSpecies(java.lang.String id)

### getSpeciesAliases

    public java.util.Vector getSpeciesAliases()

### removeSpeciesAlias

    public void removeSpeciesAlias(int index)

### removeSpecies

    public boolean removeSpecies(java.lang.String id)

### removeSpecies

    public void removeSpecies(PluginSpecies species)

### addModifiers

    public void addModifiers(PluginModifierSpeciesReference pmsr1)

### getModifiers

    public java.util.ArrayList getModifiers()

### setModificationType

    public void setModificationType(java.lang.String _modificationType)

### getModificationType

    public java.lang.String getModificationType()

### setPluginGLogicGateEventStart

    public void setPluginGLogicGateEventStart()

  Must be called before first notifySBaseXXX method.

### setPluginGLogicGateEventEnd

    public void setPluginGLogicGateEventEnd()

  If setPluginGLogicGateEventStart() method has been called, called after last notifySBaseXXX method.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD